%define name	convirt
%define version	0.9.1
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A graphical Xen management tool
Group:		System/Libraries
License:	GPL
URL:		http://www.convirt.net
Source:     http://downloads.sourceforge.net/xenman/%{name}-%{version}.tar.gz
Requires:   python
Requires:   python-gtk
Requires:   python-vte
Requires:   python-paramiko >= 1.6.4
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
ConVirt is an intuitive, graphical management tool aimed at operational
lifecycle management for the Xen virtualization platform. ConVirt is built
on the firm design philosophy that ease-of-use and sophistication can,
and should, co-exist in a single management tool. So, ConVirt should
hopefully prove valuable to both seasoned Xen Administrators as well as
those just seeking an introduction to Xen Virtualization

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 install/common/mk_image_store %{buildroot}%{_bindir}/mk_image_store

cat > %{buildroot}%{_bindir}/convirt <<EOF
#!/bin/sh
python %{_datadir}/%{name}/src/convirt.py
EOF
chmod 755 %{buildroot}%{_bindir}/convirt

install -d -m 755 %{buildroot}%{_datadir}/%{name}
cp -r src %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_var}/cache/%{name}
cp -r image_store %{buildroot}%{_var}/cache/%{name}
cp -r appliance_store %{buildroot}%{_var}/cache/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 644 install/client/distros/fedora/convirt.conf %{buildroot}%{_sysconfdir}/convirt.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*
%config(noreplace) %{_sysconfdir}/convirt.conf
%{_bindir}/convirt
%{_bindir}/mk_image_store
%{_datadir}/convirt
%{_var}/cache/%{name}



%changelog
* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2009.0
+ Revision: 270557
- new version

* Tue Jul 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdv2009.0
+ Revision: 230495
- new version

* Wed Mar 26 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0.8.2-2mdv2008.1
+ Revision: 190221
- require python-vte, which in turn requires vte

* Sat Mar 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-1mdv2008.1
+ Revision: 189476
- new version

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.1-1mdv2008.1
+ Revision: 164956
- import convirt


* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.1-1mdv2008.1
- first mdv release
